package com.bizmatics.mhfire.controller.web;

import com.bizmatics.mhfire.model.Alert;
import com.bizmatics.mhfire.model.FireSite;
import com.bizmatics.mhfire.model.WaterAj;
import com.bizmatics.mhfire.service.WaterAjService;
import com.bizmatics.mhfire.service.api.AlertAndSiteApi;
import com.bizmatics.mhfire.service.job.AlertJob;
import com.bizmatics.mhfire.service.job.FireSiteJob;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.List;

/**
 * @author yq
 * @date 2021/8/12 11:05
 */
@Log4j2
@RestController
public class TestController {

    @Autowired
    private AlertJob alertJob;

    @Autowired
    private FireSiteJob fireSiteJob;
    @Autowired
    private WaterAjService waterAjService;

    @GetMapping("login")
    public String login(){
        return AlertAndSiteApi.login(AlertAndSiteApi.USER_NAME,AlertAndSiteApi.USER_PASSWORD);
    }

    @GetMapping("alert")
    public List<Alert> alert(@RequestParam(required = false) String ajlx,
                             @RequestParam(required = false) String searchValue,
                             @RequestParam Integer page,
                             @RequestParam Integer size,
                             @RequestParam String token){
        return AlertAndSiteApi.alertPage(ajlx,searchValue,page,size,token);
    }

    @GetMapping("fireSite")
    public List<FireSite> fireSite(@RequestParam(required = false) String dwxz,
                                   @RequestParam(required = false) String xfzlx,
                                   @RequestParam(required = false) String rang,
                                   @RequestParam(required = false) String addr,
                                   @RequestParam String token){
        return AlertAndSiteApi.fireSiteList(dwxz, xfzlx, rang, addr, token);
    }

    @GetMapping("alertJob")
    public void alertJob(){
        alertJob.execute();
    }


    @GetMapping("fireSiteJob")
    public void fireSiteJob(){
        fireSiteJob.execute();
    }

    @GetMapping("waterAjTest")
    public void waterAjTest(@RequestParam Long id){
        WaterAj waterAj = new WaterAj();
        waterAj.setId(id);
        waterAj.setCreateTime(new Date());
        waterAj.setAjType("消防案件");
        waterAj.setStreet("闵行街道");
        waterAj.setAddress("所属街道");
        waterAj.setGrid("网格通道");
        waterAj.setAjDescribe("这个就是描述了");
        waterAj.setDutyGroup("上海永天");
        waterAj.setAjFlag(0);
        waterAj.setEndTime(new Date());
        waterAj.setEnclosure("meid");
        waterAj.setImage("图片");
        waterAj.setDeviceCode("1111");
        waterAjService.saveOrUpdate(waterAj);
    }

}
