package com.bizmatics.mhfire.model;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 消防站点详情
 * </p>
 *
 * @author ya
 * @since 2021-11-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class FireSiteDetail implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 消防站
     */
    private String orgaDesc;

    /**
     * 电台呼号
     */
    @TableField("DTHH")
    private String dthh;

    /**
     * 类型编号
     */
    @TableField("LXDH")
    private String lxdh;

    /**
     * 车辆状态
     */
    private String carStatus;

    /**
     * 颜色
     */
    @TableField("YS")
    private String ys;

    @TableField("ID")
    private String id;

    /**
     * 车辆简称
     */
    @TableField("CLJC")
    private String cljc;

    /**
     * 车牌号码
     */
    @TableField("CPHM")
    private String cphm;

    /**
     * 消防机构ID
     */
    private String ssxfjgid;


    @TableField(exist = false)
    private List<CarPerson> carList;
}
