package com.bizmatics.mhfire.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-11-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class JcjAjxx implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 警情信息
     */
    @TableField("GIS_X")
    private BigDecimal gisX;

    @TableField("GIS_Y")
    private BigDecimal gisY;

    @TableField("SJC")
    private Date sjc;

    @TableId("ID")
    private String id;

    /**
     * 主管支队
     */
    private String zgzd;

    /**
     * 案件时间段
     */
    private String ajsjd;

    /**
     * 通知到场时间
     */
    private String tzdcsj;

    /**
     * 通知出水时间
     */
    private String tzcssj;

    /**
     * 通知控制时间
     */
    private String tzkzsj;

    /**
     * 通知熄灭时间
     */
    private String tzxmsj;

    /**
     * 通知返队时间
     */
    private String tzfdsj;

    /**
     * 区域
     */
    private String qy;

    /**
     * 案件类型
     */
    private String ajlx;

    /**
     * 案发地址
     */
    private String afdz;

    /**
     * 立案时间
     */
    private Date lasj;

    /**
     * 立案日期
     */
    private String larq;

    /**
     * 处置对象
     */
    private String czdx;

    /**
     * 案件类型代码
     */
    private String ajlxdm;

    /**
     * 案件等级
     */
    private String ajdj;

    /**
     * 主管中队
     */
    private String zhongdui;

    /**
     * 区县
     */
    private String qx;

    /**
     * 案件编号
     */
    private String ajbh;

    /**
     * 案件状态
     */
    private String ajzt;

    /**
     * 案件性质
     */
    private String ajxz;

    /**
     * 通知时间
     */
    private Date tzsj;

    /**
     * 到场时间
     */
    private Date dcsj;

    /**
     * 出水时间
     */
    private Date cssj;

    /**
     * 控制时间
     */
    private Date kzsj;

    /**
     * 熄灭时间
     */
    private Date xmsj;

    /**
     * 返队时间
     */
    private Date fdsj;

    /**
     * 补充信息
     */
    private String bcxx;

    /**
     * 出动车辆
     */
    private BigDecimal cdcl;

    /**
     * 案件区域
     */
    private String ajqy;

    /**
     * 填表时间
     */
    @TableField("BDP_AUDIT")
    private String bdpAudit;

    /**
     * 主管中队id
     */
    @TableField("ZGJGBH")
    private String zgjgbh;

    /**
     * 街镇
     */
    @TableField("STREETTOWN")
    private String streettown;

    /**
     * 创建时间
     */
    private Date created;

    /**
     * 编辑时间
     */
    private Date updated;

    /**
     * 0有效/1无效
     */
    private Boolean yxx;

    /**
     * 0未确认/1已同步/2人员确认
     */
    private Integer qrqk;

    /**
     * 0 博览会 1 非
     */
    private Integer fairIs;


    //火灾信息

    /**
     * 报警人
     */
    @TableField(exist = false)
    private String callPolice;

    /**
     * 电话
     */
    @TableField(exist = false)
    private String policePhone;
    /**
     * 财产损失
     */
    @TableField(exist = false)
    private String propertyLoss;


    /**
     * 死亡人数
     */
    @TableField(exist = false)
    private String deathToll;

    /**
     * 受伤人数
     */
    @TableField(exist = false)
    private String nonFatal;
    /**
     * 关联案件的车辆信息
     */
    @TableField(exist = false)
    private List<JcjZzclxx> carList;
}
