package com.bizmatics.mhfire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.mhfire.model.CarPerson;
import com.bizmatics.mhfire.model.FireSite;
import com.bizmatics.mhfire.model.FireSiteDetail;
import com.bizmatics.mhfire.persistence.mapper.FireSiteMapper;
import com.bizmatics.mhfire.service.CarPersonService;
import com.bizmatics.mhfire.service.FireSiteDetailService;
import com.bizmatics.mhfire.service.FireSiteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author yq
 * @date 2021/5/28 15:30
 */
@Service
public class FireSiteServiceImpl extends AbstractCrudService<FireSiteMapper, FireSite> implements FireSiteService {

    @Autowired
    private FireSiteDetailService fireSiteDetailService;

    @Autowired
    private CarPersonService carPersonService;
    @Override
    public CommonPage<FireSite> page(Integer current, Integer size) {
        IPage<FireSite> page = new Page<>(current, size);
        LambdaQueryWrapper<FireSite> queryWrapper = Wrappers.lambdaQuery();
        page = this.page(page, queryWrapper);
        return this.ToCommonPage(page);
    }

    @Override
    public List<FireSiteDetail> getOne(String id) {
        LambdaQueryWrapper<FireSiteDetail> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(FireSiteDetail::getSsxfjgid,id);
        List<FireSiteDetail> fireSiteDetails = fireSiteDetailService.list(queryWrapper);
        List<String> cIdList = fireSiteDetails.stream().map(FireSiteDetail::getId).collect(Collectors.toList());
        List<CarPerson> list = new ArrayList<>();
        if (CollectionUtils.isNotEmpty(cIdList)){
            LambdaQueryWrapper<CarPerson> carPersonLambdaQueryWrapper = Wrappers.lambdaQuery();
            carPersonLambdaQueryWrapper.in(CollectionUtils.isNotEmpty(cIdList),CarPerson::getClId,cIdList);
            list = carPersonService.list(carPersonLambdaQueryWrapper);
        }
        List<CarPerson> finalList = list;
        fireSiteDetails = fireSiteDetails.stream().peek(fd ->
                fd.setCarList(finalList.stream().filter(carPerson -> carPerson.getClId().equals(fd.getId())).collect(Collectors.toList()))
        ).collect(Collectors.toList());
        return fireSiteDetails;

    }

}
